Bug 641846 - Panel applets (clock, workspace switcher, window selector, ...) randomly disappear
Summary: Panel applets (clock, workspace switcher, window selector, ...) randomly disa...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-11 09:41 UTC by Destinatus
Modified: 2012-08-16 22:04 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:04:41 UTC
Type: ---


Attachments (Terms of Use)
Screenshot showing missing panel applets (689.65 KB, image/png)
2010-10-11 09:41 UTC, Destinatus
no flags Details
Another screenshot with missing applet (712.23 KB, image/png)
2010-10-11 09:56 UTC, Destinatus
no flags Details
/var/log/Xorg.0.log (21.96 KB, application/x-gzip)
2010-10-13 22:29 UTC, Destinatus
no flags Details

Description Destinatus 2010-10-11 09:41:23 UTC
Created attachment 452674 [details]
Screenshot showing missing panel applets

Description of problem:

I've been experiencing a really annoying bug with Gnome since F14 Beta was released where panel applets such as the stock clock, workspace switcher, window selector (and quite a few others) randomly disappear from the panel. Logging in and out sometimes brings them back, but lately only a reboot or three seems to fix things.

Version-Release number of selected component (if applicable):

Name        : gnome-desktop
Arch        : x86_64
Version     : 2.32.0
Release     : 1.fc14

Name        : gnome-panel
Arch        : x86_64
Version     : 2.32.0.2
Release     : 2.fc14

Name        : gnome-applets
Arch        : x86_64
Epoch       : 1
Version     : 2.32.0
Release     : 1.fc14

How reproducible:

Sporadically.

Steps to Reproduce:
1. Log in and start Gnome.
  
Actual results:

Stock clock, workspace switcher, window selector applets are missing.

Expected results:

All panel applets are displayed.

Additional info:

Attached is a screenshot showing exactly what I mean. In the panel at the top you'll see a space where the stock clock applet should be and in the bottom right there's another gap where I place the window selector applet.

Comment 1 Destinatus 2010-10-11 09:56:42 UTC
Created attachment 452678 [details]
Another screenshot with missing applet

After three reboots I was able to get the clock applet back, but as you'll see from the attached screenshot the the window selector (bottom left) applet is still missing.

Comment 2 Adam Williamson 2010-10-11 16:42:42 UTC
are you using stock metacity, compiz, or metacity with compositing?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Destinatus 2010-10-11 17:40:43 UTC
Ah sorry, I should have mentioned. I'm using compiz. This did start happening before I even installed compiz/desktop-effects though. I'll try disabling compiz and see if I can still reproduce.

Comment 4 Destinatus 2010-10-11 17:53:57 UTC
I've switched to standard desktop effects and over 8 reboots I could only reproduce this once (missing window selector applet). Is there any other information I can provide to help track this down?

Comment 5 Adam Williamson 2010-10-12 03:40:08 UTC
possibly, but i'm not sure what, it seems rather erratic and I'm not aware of anyone experiencing anything similar. I suspect it's some kind of graphics driver issue rather than gnome-desktop exactly. can you provide X logs? https://fedoraproject.org/wiki/How_to_debug_Xorg_problems



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 James Laska 2010-10-12 15:36:40 UTC
When you reproduce the failure, if you manually start the applet from the command-line, do they crash?  In the example you posted about the window selector applet, if you right-click the panel and attempt to manually add the applet, does it work?

Comment 7 Adam Williamson 2010-10-13 00:48:48 UTC
oh, good point - can you tell if the applets are just crashing, or if it's a visual issue (they're there but invisible)? do you have this same issue with a fresh install?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Theodore Lee 2010-10-13 01:57:59 UTC
I've actually been experiencing a similar bug on Fedora 13. Occasionally some panel applets don't show up when I log in and I have to run 'killall gnome-panel' once or twice to restart the panel and get them back. I've only seen this bug while running compiz, but then I rarely turn off desktop effects. If I can reproduce this bug, I'll see if I can provide more information.

Comment 9 Paul W. Frields 2010-10-13 15:55:04 UTC
Should this bug be reassigned to a different component than gnome-panel?  Or is it too early to tell?  We only have a few working days left before the change deadline and apparently need some developer attention to this bug.

Comment 10 James Laska 2010-10-13 16:21:09 UTC
(In reply to comment #9)
> Should this bug be reassigned to a different component than gnome-panel?  Or is
> it too early to tell?  We only have a few working days left before the change
> deadline and apparently need some developer attention to this bug.

If we can't further isolate this issue, and it doesn't occur after a fresh install, I recommend we remove this from the F14Blocker list soon.

Outstanding questions that we need guidance on ...
 1) When reproduced, are you able to manually start applets from the command-line
 2) Does this problem occur with any frequency on a fresh install (with a new $HOME)
 3) When reproduced, does the use of desktop-effects/compiz influence the outcome

Comment 11 Julian Aloofi 2010-10-13 19:24:18 UTC
Same situation as Theodore here. I'm experiencing this on F13 as well, i386.
Especially the system tray and clock seem to be disappearing more often, launchers not so much. Without compiz enabled it never happened here.
I'm not sure if we're experiencing the same issue or just have the same symptoms, but that's also happening on F13. Absolutely not reproducible.

(In reply to comment #6)
> When you reproduce the failure, if you manually start the applet from the
> command-line, do they crash?  In the example you posted about the window
> selector applet, if you right-click the panel and attempt to manually add the
> applet, does it work?

They seem to be there, just invisible. I can add new applets easily without any crashes, just not put them where the invisible applets should be.

Maybe a compiz issue?

Comment 12 Destinatus 2010-10-13 19:34:33 UTC
Apologies for the lack of response from me, I've been busy working in a studio without access to a Linux machine. I'll take a proper read through all the comments in a few hours and post the requested additional information.

Comment 13 Adam Williamson 2010-10-13 21:50:05 UTC
stickster: we need feedback to our most recent questions to determine where the bug lies, but since it seems quite specific to this reporter, we're likely to drop it from the blocker list.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 14 Destinatus 2010-10-13 22:29:11 UTC
I was able to reproduce this rather quickly with the following steps:

1. Create a new user and log in to Gnome.
2. Reboot.
3. Log in as new user.

After repeating steps 2 and 3 a few times I was able to reproduce: missing "trashapplet" in the bottom right-hand corner. Running "/usr/libexec/trashapplet" in a terminal just hangs and doesn't bring the applet back.

> When you reproduce the failure, if you manually start
> the applet from the command-line, do they crash?  In
> the example you posted about the window selector applet,
> if you right-click the panel and attempt to manually add
> the applet, does it work?

See above. In that instance I was able to add an additional "trashapplet" which showed up on the panel okay. 

> oh, good point - can you tell if the applets are just
> crashing, or if it's a visual issue (they're there but
> invisible)? do you have this same issue with a fresh
> install?

I can't say for sure, but since there are no abrt reports, I'm guessing they're not actually crashing. I'm possibly wrong here, but I'd say it's a visual thing rather than the applets actually crashing.

I'll attach my (compressed) "/var/log/Xorg.0.log" just in case that might still be useful.

Comment 15 Destinatus 2010-10-13 22:29:51 UTC
Created attachment 453329 [details]
/var/log/Xorg.0.log

Comment 16 Destinatus 2010-10-13 22:33:24 UTC
I forgot to mention in comment #14 that after logging in as the test user for the first time I enabled compiz.

(In reply to comment #13)
> stickster: we need feedback to our most recent questions to determine where the
> bug lies, but since it seems quite specific to this reporter, we're likely to
> drop it from the blocker list.

I could give a fresh install a try at the weekend, but I'm guessing that'd probably be too late...

Comment 17 Ray Strode [halfline] 2010-10-14 17:27:29 UTC
This seems to be a compiz issue from reading through the comments.  FWIW, we've had compiz bugs along these lines in the past (some weird layer order bug or something). Reassigning.

Given it's most likely a compiz issue, I don't think it's really blocker material either. Has anyone on the testing team tried to reproduce?

Comment 18 Adam Williamson 2010-10-14 17:41:45 UTC
I've used compiz for a while a few times recently and haven't seen this, I suspect it also involves the GL driver. But I agree it's not a blocker if it's compiz only.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 19 James Laska 2010-10-14 17:48:37 UTC
I agree.  For extra discussion at the blocker meeting, I think this qualifies as a local site configuration issue and is in accordance with the release criteria (see the blocker bug FAQ at https://fedoraproject.org/wiki/Blocker_Bug_FAQ#What_about_hardware_and_local_configuration_dependent_issues.3F) ...

    Many bugs are not universal: they only affect certain hardware or software
    components, or certain configurations or combinations of hardware and software
    components. When a bug causes a criterion not to be met in some but not all
    cases, the teams involved in the release process will make a judgement as to
    whether the impact of the bug is severe enough to consider the release as a
    whole not to meet the release criteria. This judgement will be based on
    multiple factors:

     * The amount of users, overall, the issue is estimated likely to affect
     * The ease with which the issue can be worked around by documentable
       configuration changes
     * The difficulty involved in fixing the issue: whether there is a significant
       chance that attempting to fix the issue could cause more serious problems

Comment 20 Martin Ebourne 2010-10-14 23:36:01 UTC
I can confirm I've been having the same symptoms with F13 running compiz using radeon KMS driver. It started happening a couple of months ago, I think it was probably due to an update to F13. I rarely reboot so doesn't affect me often.

Comment 21 Martin Ebourne 2010-10-14 23:37:14 UTC
Sorry, should have added the applets do start but are not visible. eg. with hamster the key shortcut still brings the text entry box up. Kill and restart the applet fixes the issue.

Comment 22 Adam Williamson 2010-10-15 16:28:31 UTC
reporter has an intel but Martin has radeon, so either they're seeing different but similar bugs, or the bug here is really outside of the graphics drivers.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 23 Adam Williamson 2010-10-15 16:36:52 UTC
This was discussed at the 2010-10-15 blocker review meeting. We agreed it does not constitute a blocker as compiz is not part of the default desktop configuration, so it doesn't hit the criteria. It's also not an NTH issue as it can easily be resolved with an update.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 24 Destinatus 2010-10-15 16:47:57 UTC
Understood. Cheers for looking into it! With any luck we'll see a fix from upstream sometime in the not too distant. ;)

Comment 25 Fabian A. Scherschel 2010-10-21 07:43:32 UTC
Experiencing this as well in F14 with Compiz. It's easily fixable temporarily by killing and restarting Compiz. Nonetheless a very annoying bug and many people *do* use Compiz. Is anyone actively chasing this up? Anything we can do to help?

Comment 26 Arnes Arnautović 2011-01-27 11:35:08 UTC
I also have this same bug on Fedora 14 i686 with compiz enabled. Maybe I'm wrong but it almost looks like it started after creation of another user and enabling compiz for him. I can't be sure so I'll try doing some tests. 
Applets are hidden. First time this appeared I got empty space where clock/date should be so I just added to that place another clock/date applet. After reboot  I got now two same clock/date applets. User session control also disappears and sometimes both clock/date and user session control.

Comment 27 Arnes Arnautović 2011-01-27 11:40:54 UTC
I just logged out a couple of times and first time I logged out and logged in user session control in top right appeared but network manager and sound volume control disappeared. So I logged out again and logged into different user and found everything in place. Back in my first user also everything fixed. Will continue to probe it.

Comment 28 Arnes Arnautović 2011-01-27 11:45:14 UTC
OK, so I logged as that second user and switched users back and forth. Second user lost network manager applet but the first user has it appeared. So this is something user related also?

Comment 29 Arnes Arnautović 2011-01-27 11:57:51 UTC
Compiz disabled in both users. After switching back and forth between users and found that network manager applet is now missing in second user but not in first I logged out from second user and check will it appear after logging in. It didn't. I'll reboot to see how will things work then.

After reboot, the error still is there even with compiz disabled in both users. That would mean this isn't compiz issue, right?
If someone has only one normal user and doesn't experience this issue he should test it after adding another user but with compiz not enabled. I can't delete my second user cause I need it.

Comment 30 Theodore Lee 2011-01-28 01:26:13 UTC
I could be wrong, but I'm pretty sure the network applet is only supposed to appear for one user, compiz or not. At least, that's how it's always been for me.

Comment 31 Martin Ebourne 2011-01-28 01:35:16 UTC
"the network applet is only supposed to appear for one user" should really be "the network applet is already broken for multiple users". Reference bug #456046
Agreed it is best to ignore NM for the purposes of this bug and only look at the other applets which fail to appear occasionally.

Comment 32 Julian Aloofi 2011-01-28 20:12:02 UTC
Maybe it's just me, but the issue seems to have disappeared since I started using compiz for GDM. You can do that with setting the gconf key /apps/gdm/simple-greeter/wm_use_compiz to true.
May be random, but I can't reproduce it since I started using that.

Comment 33 Fedora Admin XMLRPC Client 2011-06-01 20:30:08 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 34 Fedora Admin XMLRPC Client 2011-06-01 20:30:31 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 35 Fedora Admin XMLRPC Client 2011-06-01 20:31:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 36 Fedora Admin XMLRPC Client 2011-06-01 20:33:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 37 Fedora End Of Life 2012-08-16 22:04:44 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.